Loading...
Searching...
No Matches
irr::scene::SVertexColorDesaturateToLightnessManipulator Class Reference

Vertex manipulator which desaturates the color values. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorDesaturateToLightnessManipulator:

## Public Member Functions

void | operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which desaturates the color values.

Uses the lightness value of the color.

Definition at line 160 of file SVertexManipulator.h.

## Member Function Documentation

## operator()()

void irr::scene::SVertexColorDesaturateToLightnessManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const

inline

Definition at line 163 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color, irr::video::SColor::getLightness(), and irr::core::round32().

The documentation for this class was generated from the following file:

- SVertexManipulator.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0